#!/bin/bash

## Example of firmware patching script
#
# Romain Jacob
# Last update: 30-07-2019

binary_path='../binaries/' 				# Path to the firmware directory
binary_name='baloo-link-quality-test'	# Firmware root name
TARGET='sky'		# target identifier
random_seed=12345	# random seed (16-bit integer)
payload=8 			# payload (bytes)
host_id=1			# host node ID
channel=26			# RF channel

tos-set-symbols --exe --objcopy msp430-objcopy --objdump msp430-objdump ${binary_path}${binary_name}.${TARGET} ${binary_path}${binary_name}.${TARGET} payload_length=$payload randomseed=$random_seed host_id=$host_id rf_channel=$channel
